#ifndef CSERVER_H
#define CSERVER_H

#include <list>
#include <string>
#include "cbase.h"
#include "cconnection.h"

#define MAX_CONNECTIONS 63

class cserver : public cbase
{
 private:
   std::list <cconnection> connections;
   std::string sb;

 public:
   cserver(unsigned short port);
   ~cserver();
   void write_packet(int n,char* packet);
   void update();
   int read_packet(char* packet);
};

#endif
